#version 330 core
#define y60 0.8660254

// Per vertex
in vec3 position;
in vec2 texCoords;

// Per instance
in ivec3 blockPos;
in int blockTex;

out VertOut {
	vec2 texCoords;
	int blockTex;
} vertOut;

void main() {
	int aa = blockPos.x + 2 * blockPos.z;// + totalSize;
//	int b = a / (2*totalSize) * (2*totalSize);//integer-modulo
//	a -= b;
//	a -= totalSize*0;
	gl_Position = vec4(blockPos.x * 1.5 + position.x, blockPos.y + position.y, -aa * y60 + -position.z, 1.0);
	vertOut.texCoords = texCoords;
	vertOut.blockTex = blockTex;
}