package hexagon.world.block;

import hexagon.model.HexagonModel;

public class BlockType {
	
	public static final BlockType grass, sand;
	
	static {
		int texID = HexagonModel.theModel.getTextureID();
		grass = new BlockType(texID, 0);
		sand = new BlockType(texID, 1);
	}
	
	public int texID;
	public int texCoords;
	
	public BlockType(int texID, int texCoords) {
		this.texID = texID;
		this.texCoords = texCoords;
	}
	
}
