package hexagon.model;

import org.lwjgl.util.vector.Vector2f;

public class HexagonModel extends TexturedModel {
	
	public static final Vector2f[] points = new Vector2f[6];
	public static final float x60, y60;
	
	public static float[] vertices = new float[3 * 6];
	public static float[] texCoords = new float[2 * 6];
	public static int[] indices = new int[3 * 4];
	
	public static HexagonModel theModel;
	
	static {
		for (int i = 0; i < 6; i++) {
			points[i] = new Vector2f((float) Math.cos(Math.PI * (i / 3d)), (float) Math.sin(Math.PI * (i / 3d)));
		}
		x60 = points[1].x;
		y60 = points[1].y;
	}
	
	public static void init() {
		theModel = new HexagonModel(Loader.theLoader.loadTextureArray("blocks", 32));
	}
	
	public HexagonModel(int texID) {
		super(null, texID);
	}
	
}
