#version 330 core

in FragIn {
	vec2 texCoords;
	vec2 blockTex;
} fragIn;

out vec4 color;

uniform sampler2DArray texSampler;
uniform float glow = 1.0;
uniform int blocksPerRow = 1;

void main() {
//	color = vec4(0, floor(fragIn.texCoords.x * 10) / 10.0, floor(fragIn.texCoords.y * 12) / 12.0, 1);
	color = texture(texSampler, vec3(fragIn.texCoords, fragIn.blockTex.x + fragIn.blockTex.y * blocksPerRow));
	color.r *= glow;
	color.g *= glow;
	color.b *= glow;
}