package hexagon.gui;

import hexagon.util.MathUtil;

import org.lwjgl.util.vector.Matrix4f;
import org.lwjgl.util.vector.Vector2f;

public class GuiTexture {
	
	private int texID;
	private Vector2f position;
	private Vector2f scale;
	public Matrix4f transfMatrix;
	
	public GuiTexture(int texID, Vector2f position, Vector2f scale) {
		super();
		this.texID = texID;
		this.position = position;
		this.scale = scale;
		transfMatrix = new Matrix4f();
		MathUtil.transformationMatrix(position, scale, transfMatrix);
	}
	
	public int getTexID() {
		return texID;
	}
	
	public Vector2f getPosition() {
		return position;
	}
	
	public Vector2f getScale() {
		return scale;
	}
	
}
